Get All Templates

This is your first endpoint! Edit this page to start documenting your API.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example JSON Response

{
    "data": [
        {
            "name": "hello_world",
            "previous_category": "ACCOUNT_UPDATE",
            "components": [
                {
                    "type": "HEADER",
                    "format": "TEXT",
                    "text": "Hello World"
                },
                {
                    "type": "BODY",
                    "text": "Welcome and congratulations!! This message demonstrates your ability to send a message notification from WhatsApp Business Platform’s Cloud API. Thank you for taking the time to test with us."
                },
                {
                    "type": "FOOTER",
                    "text": "WhatsApp Business API Team"
                }
            ],
            "language": "en_US",
            "status": "APPROVED",
            "category": "MARKETING",
            "id": "1192339204654487"
        },
        {
            "name": "2023_april_promo",
            "components": [
                {
                    "type": "HEADER",
                    "format": "TEXT",
                    "text": "Fall Sale"
                },
                {
                    "type": "BODY",
                    "text": "Hi {{1}}, our Fall Sale is on! Use promo code {{2}} Get an extra 25% off every order above $350!",
                    "example": {
                        "body_text": [
                            [
                                "Mark",
                                "FALL25"
                            ]
                        ]
                    }
                },
                {
                    "type": "FOOTER",
                    "text": "Not interested in any of our sales? Tap Stop Promotions"
                },
                {
                    "type": "BUTTONS",
                    "buttons": [
                        {
                            "type": "QUICK_REPLY",
                            "text": "Stop promotions"
                        }
                    ]
                }
            ],
            "language": "en_US",
            "status": "APPROVED",
            "category": "MARKETING",
            "id": "920070352646140"
        }
    ],
    "paging": {
        "cursors": {
            "before": "MAZDZD",
            "after": "MjQZD"
        }
    }
}
Path Params
string
required
Defaults to v24.0
string
required
Query Params
integer
Defaults to 25

The number of templates to return per page.

string

The cursor parameter for the next page of templates.

string

The cursor parameter for the previous page of templates.

Headers
string
required
Defaults to YOUR_API_KEY

Provide "YOUR_API_KEY".

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json